説明
Removeツールは2種類の操作を提供します:
The counterpart of this tool is the Arch Add tool.
上の図では壁から直方体を減算しています
使用方法
- Archオブジェクト内のサブコンポーネントを選択してください。あるいは
- 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
Removeボタンを押してください
Or
- Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
- Press the
Remove component button, or Modify →
Remove component from the top menu.
Scripting
スクリプト処理
The Remove tool can be used in macros and from the Python console by using the following function:
removeComponents(objectsList, host=None)
- Removes the given objects in
objectsList
from their parents. - If a
host
object is specified, this function will try adding the objects inobjectsList
as holes to thehost
.
Example:
import FreeCAD, Draft, Arch
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()
Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))
Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
このページは以下から取得されています https://wiki.freecad.org/Arch_Remove